[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/libxml2/devel libxml2.spec,1.65,1.66



On Thu, 4 Dec 2008, Mamoru Tasaka wrote:

Panu Matilainen wrote, at 12/04/2008 12:43 AM +9:00:
Well the question is, should rpm-build require everything it can extract dependencies from? That would drag in mono and whatnot... and rpm-build itself certainly does not require pkg-config to function.

Adding dependency on pkgconfig is no big deal, but the line between what should go to rpm-build dependencies and what to buildsys groups is rather fuzzy.

    - Panu -

So this contains packaging guidelines issue
- If FPC says "all packages which creates pkgconfig .pc file must
have _Build_Requires: pkgconfig", then rpm-build (or buildsys) does not
have to add pkgconfig dependency

- If FPC says no, then rpm-build or buildsys must have pkgconfig dependency

My current opinition is that rpm-build should have "Requires: pkgconfig"
because this affects even a small package and guideline changes due to this
issue will affect many packages.

Yup, pkg-config is a bit special in that many packages which provide a pkg-config file don't actually require it themselves (for build), causing unresolvable dependencies all too easily. Already done and building, will be in rawhide in a few minutes.

	- Panu -


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]